Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11.parameters
Class RC2CbcParameters

    java.lang.Object
      iaik.pkcs.pkcs11.parameters.RC2Parameters
          iaik.pkcs.pkcs11.parameters.RC2CbcParameters

All Implemented Interfaces:
  Cloneable, Parameters

public class RC2CbcParameters
extends RC2Parameters

This class encapsulates parameters for the algorithm Mechanism.RC2_CBC.

Invariants
  (initializationVector_ <> null)

Field Summary
`protected byte[]` | `initializationVector_` The initialization vector.

Fields inherited from class iaik.pkcs.pkcs11.parameters.RC2Parameters
`effectiveBits_`

Constructor Summary
`RC2CbcParameters(long effectiveBits, byte[] initializationVector)` Create a new RC2CbcParameters object with the given effective bits and the initialization vector.

Method Summary
`Object` | `clone()` Create a (deep) clone of this object.
`boolean` | `equals(Object otherObject)` Compares all member variables of this object with the other object.
`byte[]` | `getInitializationVector()` Get the initialization vector.
`Object` | `getPKCS11ParamsObject()` Get this parameters object as CK_RC2_CBC_PARAMS object.
`int` | `hashCode()` The overriding of this method should ensure that the objects of this class work correctly in a hashtable.
`void` | `setInitializationVector(byte[] initializationVector)` Set the initialization vector.
`String` | `toString()` Returns the string representation of this object.

Methods inherited from class iaik.pkcs.pkcs11.parameters.RC2Parameters
`getEffectiveBits, setEffectiveBits`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### initializationVector_

    protected byte[] initializationVector_

  The initialization vector.

Constructor Detail

### RC2CbcParameters

    public RC2CbcParameters(long effectiveBits,
                            byte[] initializationVector)

  Create a new RC2CbcParameters object with the given effective bits and the initialization vector.

Parameters:
  `effectiveBits` - The effective number of bits in the RC2 search space.
  `initializationVector` - The initialization vector.
Preconditions
  (effectiveBits >= 1) and (effectiveBits <= 1024) and (initializationVector <> null)
Postconditions

Method Detail

### clone

    public Object clone()

  Create a (deep) clone of this object.

  Overrides:
    `clone` in class `RC2Parameters`
  Returns:
    A clone of this object.
  Preconditions
  Postconditions
    (result <> null) and (result instanceof RC2CbcParameters) and (result.equals(this))

### getPKCS11ParamsObject

    public Object getPKCS11ParamsObject()

  Get this parameters object as CK_RC2_CBC_PARAMS object.

  Specified by:
    `getPKCS11ParamsObject` in interface `Parameters`
  Overrides:
    `getPKCS11ParamsObject` in class `RC2Parameters`
  Returns:
    This object as CK_RC2_CBC_PARAMS object.
  Preconditions
  Postconditions
    (result <> null)

### getInitializationVector

    public byte[] getInitializationVector()

  Get the initialization vector.

  Returns:
    The initialization vector.
  Preconditions
  Postconditions
    (result <> null)

### setInitializationVector

    public void setInitializationVector(byte[] initializationVector)

  Set the initialization vector.

  Parameters:
    `initializationVector` - The initialization vector.
  Preconditions
    (initializationVector <> null)
  Postconditions

### toString

    public String toString()

  Returns the string representation of this object. Do not parse data from this string, it is for debugging only.

  Overrides:
    `toString` in class `RC2Parameters`
  Returns:
    A string representation of this object.

### equals

    public boolean equals(Object otherObject)

  Compares all member variables of this object with the other object. Returns only true, if all are equal in both objects.

  Overrides:
    `equals` in class `RC2Parameters`
  Parameters:
    `otherObject` - The other object to compare to.
  Returns:
    True, if other is an instance of this class and all member variables of both objects are equal. False, otherwise.
  Preconditions
  Postconditions

### hashCode

    public int hashCode()

  The overriding of this method should ensure that the objects of this class work correctly in a hashtable.

  Overrides:
    `hashCode` in class `RC2Parameters`
  Returns:
    The hash code of this object.
  Preconditions
  Postconditions

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2002, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved.